Index: config/rules.mk
===================================================================
RCS file: /cvsroot/mozilla/config/rules.mk,v
retrieving revision 3.575
diff -u -8 -p -r3.575 rules.mk
--- config/rules.mk	19 Oct 2007 22:24:32 -0000	3.575
+++ config/rules.mk	30 Oct 2007 15:38:16 -0000
@@ -1044,23 +1044,25 @@ $(HOST_LIBRARY): $(HOST_OBJS) Makefile
 	$(HOST_AR) $(HOST_AR_FLAGS) $(HOST_OBJS)
 	$(HOST_RANLIB) $@
 
 ifdef NO_LD_ARCHIVE_FLAGS
 SUB_SHLOBJS = $(SUB_LOBJS)
 endif
 
 ifdef HAVE_DTRACE
+ifdef SOLARIS
 ifdef DTRACE_PROBE_OBJ
 ifndef DTRACE_LIB_DEPENDENT
 $(DTRACE_PROBE_OBJ): $(OBJS)
 	dtrace -G -C -32 -s $(MOZILLA_DTRACE_SRC) -o $(DTRACE_PROBE_OBJ) $(OBJS)
 endif
 endif
 endif
+endif
 
 # On Darwin (Mac OS X), dwarf2 debugging uses debug info left in .o files,
 # so instead of deleting .o files after repacking them into a dylib, we make
 # symlinks back to the originals. The symlinks are a no-op for stabs debugging,
 # so no need to conditionalize on OS version or debugging format.
 
 $(SHARED_LIBRARY): $(OBJS) $(LOBJS) $(DEF_FILE) $(RESFILE) $(SHARED_LIBRARY_LIBS) $(EXTRA_DEPS) $(DSO_LDOPTS_DEPS) Makefile Makefile.in
 ifndef INCREMENTAL_LINKER
@@ -1085,17 +1087,19 @@ ifdef NO_LD_ARCHIVE_FLAGS
 ifdef SHARED_LIBRARY_LIBS
 	@rm -f $(SUB_SHLOBJS)
 	@for lib in $(SHARED_LIBRARY_LIBS); do $(AR_EXTRACT) $${lib}; $(CLEANUP2); done
 endif # SHARED_LIBRARY_LIBS
 endif # NO_LD_ARCHIVE_FLAGS
 ifdef DTRACE_LIB_DEPENDENT
 	@rm -f $(PROBE_LOBJS)
 	@for lib in $(MOZILLA_PROBE_LIBS); do $(AR_EXTRACT) $${lib}; $(CLEANUP2); done
+ifdef SOLARIS
 	dtrace -G -C -32 -s $(MOZILLA_DTRACE_SRC) -o  $(DTRACE_PROBE_OBJ) $(PROBE_LOBJS)
+endif
 	@for lib in $(MOZILLA_PROBE_LIBS); do \
 		ofiles=`$(AR_LIST) $${lib}`; \
 		$(AR_DELETE) $${lib} $$ofiles; \
 	done
 	$(MKSHLIB) $(SHLIB_LDSTARTFILE) $(OBJS) $(LOBJS) $(SUB_SHLOBJS) $(DTRACE_PROBE_OBJ) $(PROBE_LOBJS) $(RESFILE) $(LDFLAGS) $(EXTRA_DSO_LDOPTS) $(OS_LIBS) $(EXTRA_LIBS) $(DEF_FILE) $(SHLIB_LDENDFILE)
 	@rm -f $(PROBE_LOBJS)
 	@rm -f $(DTRACE_PROBE_OBJ)
 	@for lib in $(MOZILLA_PROBE_LIBS); do \
Index: js/src/Makefile.in
===================================================================
RCS file: /cvsroot/mozilla/js/src/Makefile.in,v
retrieving revision 3.112
diff -u -8 -p -r3.112 Makefile.in
--- js/src/Makefile.in	19 Oct 2007 22:24:32 -0000	3.112
+++ js/src/Makefile.in	30 Oct 2007 15:38:22 -0000
@@ -210,17 +210,19 @@ JSJAVA_CFLAGS	= \
 		$(JSJAVA_STUBHEADERS)
 
 # Define keyword generator before rules.mk, see bug 323979 comment 50
 
 HOST_SIMPLE_PROGRAMS += host_jskwgen$(HOST_BIN_SUFFIX)
 GARBAGE += jsautokw.h host_jskwgen$(HOST_BIN_SUFFIX)
 
 ifdef HAVE_DTRACE
+ifdef SOLARIS
 DTRACE_PROBE_OBJ = $(LIBRARY_NAME)-dtrace.$(OBJ_SUFFIX)
+endif
 MOZILLA_DTRACE_SRC = $(srcdir)/javascript-trace.d
 endif
 
 include $(topsrcdir)/config/rules.mk
 
 DEFINES		+= -DEXPORT_JS_API 
 
 INCLUDES	+= -I$(srcdir)
Index: js/src/javascript-trace.d
===================================================================
RCS file: /cvsroot/mozilla/js/src/javascript-trace.d,v
retrieving revision 3.1
diff -u -8 -p -r3.1 javascript-trace.d
--- js/src/javascript-trace.d	19 Oct 2007 22:24:32 -0000	3.1
+++ js/src/javascript-trace.d	30 Oct 2007 15:38:22 -0000
@@ -50,18 +50,18 @@ provider javascript {
  probe function__entry(char *, char *, char *);
  probe function__info(char *, char *, char *, int, char *, int);
  probe function__args(char *, char *, char *, int, void *, void *, void *,
      void *, void *, void *);
  probe function__rval(char *, char *, char *, int, void *, void *);
  probe function__return(char *, char *, char *);
  probe object__create__start(char *, char *);
  probe object__create__done(char *, char *);
- probe object__create(char *, char *, uintptr_t, int);
- probe object__finalize(char *, char *, uintptr_t);
+ probe object__create(char *, char *, unsigned long, int);
+ probe object__finalize(char *, char *, unsigned long);
  probe execute__start(char *, int);
  probe execute__done(char *, int);
 };
 
 /*
 #pragma D attributes Unstable/Unstable/Common provider mozilla provider
 #pragma D attributes Private/Private/Unknown provider mozilla module
 #pragma D attributes Private/Private/Unknown provider mozilla function
